# Yac::add

(PECL yac >= 1.0.0)

Yac::add — Store into cache

### Beschreibung

public Yac::add(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public Yac::add(array `$key_vals`): bool

Added a item into cache.

### Parameter-Liste

`keys`

  String key

`value`

  mixed value, All php value type could be stored except Ressource

`ttl`

  expire time

### Rückgabewerte

Boolean, `true` on success, `false` on failure

> Hinweis:

> Yac::add() may fail if cas lock could not obtain, so, if you need the value to be stored properly, you may write codes like:

> Beispiel #1 Make sure the item is stored

> `while(!$yac->set("key", "vale));`

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open